debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Debian. Не грузятся иксы, гном, графика  (Прочитано 3445 раз)

0 Пользователей и 1 Гость просматривают эту тему.

sCode

  • Гость
Решил переустановить Debian. Скачал DVD AMD64 (собственно у меня и есть AMD64).
Выбрал при установке GNOME, для ноутбука и стандартные приложения. Во время установки было видно что все установлено, но после загрузки - голая консоль. Я подумал, что дело в AMD64 и установил систему с диска для i386. Во время установки было написано, что все устанавливается.
Но после установки - голая консоль. Сейчас сижу из под ЛивСД Убунту. Под убунтой была самая дефолтная гномовская тема:

Но пока я писал это сообщение нормальная тема восстановилась:


UPD: при комманде startx просто черный экран.
При /etc/init.d/gdm3 start пишет, что каталог не найден.
UPD 2: Под убунтой работают экстра эффекты=> Проблема не в видео карте.
 В чем может быть дело?
 

sCode

  • Гость
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #1 : 09 Июнь 2011, 15:46:08 »
Проблема решилась:
sudo apt-get install gdm3 gnomeВидимо, по какой-то причине оба раза не установился GNOME.
 

Оффлайн samir.gasymov

  • Сообщений: 10
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #2 : 17 Октябрь 2011, 23:29:04 »
Помогите пожалуйста разобратся что мне мешает запустить Иксы.
Spoiler: Вот Xorg.0.log • показать
[    97.155]
X.Org X Server 1.11.1.901 (1.11.2 RC 1)
Release Date: 2011-10-14
[    97.155] X Protocol Version 11, Revision 0
[    97.155] Build Operating System: Linux 2.6.32-5-686-bigmem i686 Debian
[    97.155] Current Operating System: Linux samir-debian 2.6.32-5-686 #1 SMP Mon Oct 3 04:15:24 UTC 2011 i686
[    97.156] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=7780712d-0bac-421e-b726-2d1af68d0a89 ro single
[    97.156] Build Date: 15 October 2011  06:04:48PM
[    97.156] xorg-server 2:1.11.1.901-1 (Julien Cristau <jcristau@debian.org>)
[    97.156] Current version of pixman: 0.22.2
[    97.156]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[    97.156] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    97.157] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 18 00:54:34 2011
[    97.178] (==) Using config file: "/etc/X11/xorg.conf"
[    97.178] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    97.200] (==) ServerLayout "Layout0"
[    97.200] (**) |-->Screen "Screen0" (0)
[    97.200] (**) |   |-->Monitor "Monitor0"
[    97.201] (**) |   |-->Device "Device0"
[    97.201] (**) |-->Input Device "Keyboard0"
[    97.201] (**) |-->Input Device "Mouse0"
[    97.201] (==) Automatically adding devices
[    97.201] (==) Automatically enabling devices
[    97.224] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    97.224]    Entry deleted from font path.
[    97.277] (WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
[    97.277]    Entry deleted from font path.
[    97.277]    (Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
[    97.277] (==) FontPath set to:
   /usr/share/fonts/X11/misc,
   /usr/share/fonts/X11/100dpi/:unscaled,
   /usr/share/fonts/X11/75dpi/:unscaled,
   /usr/share/fonts/X11/Type1,
   /usr/share/fonts/X11/100dpi,
   /usr/share/fonts/X11/75dpi,
   built-ins
[    97.277] (==) ModulePath set to "/usr/lib/xorg/modules"
[    97.277] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    97.277] (WW) Disabling Keyboard0
[    97.277] (WW) Disabling Mouse0

[    97.277] (II) Loader magic: 0xb772e580
[    97.277] (II) Module ABI versions:
[    97.277]    X.Org ANSI C Emulation: 0.4
[    97.277]    X.Org Video Driver: 11.0
[    97.277]    X.Org XInput driver : 13.0
[    97.277]    X.Org Server Extension : 6.0
[    97.278] (--) PCI:*(0:4:0:0) 10de:0a65:1043:8354 rev 162, Mem @ 0xcc000000/16777216, 0xd0000000/268435456, 0xce000000/33554432, I/O @ 0x0000e800/128, BIOS @ 0x????????/524288
[    97.278] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    97.278] (II) LoadModule: "extmod"
[    97.294] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    97.311] (II) Module extmod: vendor="X.Org Foundation"
[    97.312]    compiled for 1.11.1.901, module version = 1.0.0
[    97.312]    Module class: X.Org Server Extension
[    97.312]    ABI class: X.Org Server Extension, version 6.0
[    97.312] (II) Loading extension SELinux
[    97.312] (II) Loading extension MIT-SCREEN-SAVER
[    97.312] (II) Loading extension XFree86-VidModeExtension
[    97.312] (II) Loading extension XFree86-DGA
[    97.312] (II) Loading extension DPMS
[    97.312] (II) Loading extension XVideo
[    97.312] (II) Loading extension XVideo-MotionCompensation
[    97.312] (II) Loading extension X-Resource
[    97.312] (II) LoadModule: "dbe"
[    97.312] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    97.321] (II) Module dbe: vendor="X.Org Foundation"
[    97.321]    compiled for 1.11.1.901, module version = 1.0.0
[    97.321]    Module class: X.Org Server Extension
[    97.321]    ABI class: X.Org Server Extension, version 6.0
[    97.321] (II) Loading extension DOUBLE-BUFFER
[    97.321] (II) LoadModule: "glx"
[    97.321] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    97.652] (II) Module glx: vendor="NVIDIA Corporation"
[    97.652]    compiled for 4.0.2, module version = 1.0.0
[    97.652]    Module class: X.Org Server Extension
[    97.652] (II) NVIDIA GLX Module  275.28  Wed Aug 31 18:45:27 PDT 2011
[    97.652] (II) Loading extension GLX
[    97.652] (II) LoadModule: "record"
[    97.652] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    97.662] (II) Module record: vendor="X.Org Foundation"
[    97.662]    compiled for 1.11.1.901, module version = 1.13.0
[    97.662]    Module class: X.Org Server Extension
[    97.662]    ABI class: X.Org Server Extension, version 6.0
[    97.662] (II) Loading extension RECORD
[    97.662] (II) LoadModule: "dri"
[    97.663] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    97.672] (II) Module dri: vendor="X.Org Foundation"
[    97.672]    compiled for 1.11.1.901, module version = 1.0.0
[    97.672]    ABI class: X.Org Server Extension, version 6.0
[    97.672] (II) Loading extension XFree86-DRI
[    97.672] (II) LoadModule: "dri2"
[    97.672] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    97.672] (II) Module dri2: vendor="X.Org Foundation"
[    97.672]    compiled for 1.11.1.901, module version = 1.2.0
[    97.672]    ABI class: X.Org Server Extension, version 6.0
[    97.672] (II) Loading extension DRI2
[    97.672] (II) LoadModule: "nvidia"
[    97.694] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    97.743] (II) Module nvidia: vendor="NVIDIA Corporation"
[    97.743]    compiled for 4.0.2, module version = 1.0.0
[    97.743]    Module class: X.Org Video Driver
[    97.754] (II) NVIDIA dlloader X Driver  275.28  Wed Aug 31 18:27:32 PDT 2011
[    97.754] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    97.755] (--) using VT number 2

[    97.759] (II) Loading sub module "fb"
[    97.759] (II) LoadModule: "fb"
[    97.759] (II) Loading /usr/lib/xorg/modules/libfb.so
[    97.765] (II) Module fb: vendor="X.Org Foundation"
[    97.765]    compiled for 1.11.1.901, module version = 1.0.0
[    97.765]    ABI class: X.Org ANSI C Emulation, version 0.4
[    97.765] (II) Loading sub module "wfb"
[    97.765] (II) LoadModule: "wfb"
[    97.765] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    97.776] (II) Module wfb: vendor="X.Org Foundation"
[    97.776]    compiled for 1.11.1.901, module version = 1.0.0
[    97.776]    ABI class: X.Org ANSI C Emulation, version 0.4
[    97.776] (II) Loading sub module "ramdac"
[    97.776] (II) LoadModule: "ramdac"
[    97.776] (II) Module "ramdac" already built-in
[    97.777] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    97.777] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    97.777] (II) Loading /usr/lib/xorg/modules/libfb.so
[    97.778] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    97.778] (==) NVIDIA(0): RGB weight 888
[    97.778] (==) NVIDIA(0): Default visual is TrueColor
[    97.778] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    97.797] (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module. Please see the
[    97.798] (EE) NVIDIA(0):     system's kernel log for additional error messages and
[    97.798] (EE) NVIDIA(0):     consult the NVIDIA README for details.
[    97.798] (EE) NVIDIA(0):  *** Aborting ***

[    97.798] (II) UnloadModule: "nvidia"
[    97.798] (II) Unloading nvidia
[    97.798] (II) UnloadModule: "wfb"
[    97.798] (II) Unloading wfb
[    97.798] (II) UnloadModule: "fb"
[    97.798] (II) Unloading fb
[    97.798] (EE) Screen(s) found, but none have a usable configuration.
[    97.798]
Fatal server error:
[    97.798] no screens found
[    97.798]
Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
[    97.798] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    97.798]
[    97.807] Server terminated with error (1). Closing log file.


Spoiler: А вот xorg.conf • показать
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 280.13  (buildd@biber)  Mon Aug  8 18:26:13 UTC 2011

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection


Это вроде как не страшно;
Это уже плохо;
Это корень зла.
Правильно понимаю?

А если поменять значение nvidia на другой драйвер, будет результат?
ubuntu 12.04 @ samsung n100 | win 7 pro ukr @ desktop (ASUS P5L-VM 1394, Intel Pentium D 3.00GHz, 2GB DDR2, SATA WD500GB, ASUS nVidia GeForce 210 Silent 1GB DDR3)
 

Оффлайн Razzeeyy

  • Сообщений: 18
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #3 : 17 Октябрь 2011, 23:44:48 »
samir.gasymov
для верности дайте еще вывод
lsmod | grep -i nvidiaи
dpkg -l | grep -i nvidia
Facts are Great.
           Solutions are Beautiful.
                             Action is Golden.
 

Оффлайн SeHELLioN

  • Сообщений: 910
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #4 : 17 Октябрь 2011, 23:47:17 »
как драйвера ставили на видео? почему-то не может загрузить модуль ядра видеодрайвера...
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн samir.gasymov

  • Сообщений: 10
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #5 : 18 Октябрь 2011, 00:33:20 »
Сейчас мечусь из одной ОС в другую…

Spoiler: lsmod | grep -i nvidia • показать

nvidia         9842520        0
i2c_core         12787        3 nvidia, i2c_i801, videodev


Извините, не умею выводить выхлоп grep в файл.
Spoiler: dpkg -l | grep -i nvidia • показать


Ставил по этому руководству.
А точнее сделал:
# aptitude install nvidia-glx nvidia-kernel-`uname -r` nvidia-kernel-dkms nvidia-settings nvidia-xconfig# nvidia-xconfig# shutdown now -rИ больше ничего.


Сообщение объединено: 18 Октябрь 2011, 00:39:40
Я уже присмотрел что у меня вроде как разные версии ядер linux-kernl и nvidia-kernel. NVIDIA - точно 275.28

Поменял в xorg.conf драйвер nvidia на vesa получил error типа:
…The NVIDIA kernel module has version 195.36.31 but this NVIDIA driver component has version 275.28.
Please make sure that the kernel module and all NVIDIA driver components have the same version…
« Последнее редактирование: 18 Октябрь 2011, 02:26:27 от samir.gasymov »
ubuntu 12.04 @ samsung n100 | win 7 pro ukr @ desktop (ASUS P5L-VM 1394, Intel Pentium D 3.00GHz, 2GB DDR2, SATA WD500GB, ASUS nVidia GeForce 210 Silent 1GB DDR3)
 

Оффлайн orlyanuch

  • Сообщений: 212
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #6 : 18 Октябрь 2011, 04:00:41 »
Не по теме, вывод в файл:
dpkg -l | grep -i nvidia > file
Edimus, ut vivamus; nоn vivimus, ut edamus.
 

Оффлайн Razzeeyy

  • Сообщений: 18
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #7 : 18 Октябрь 2011, 11:02:35 »
samir.gasymov, хм судя по всему драйвер подгружается и установлен, я бы посоветовал обновить ядро, но вы не торопитесь. Подождите здесь, может народ менее радикальные меры посоветует.
Facts are Great.
           Solutions are Beautiful.
                             Action is Golden.
 

Оффлайн Udachnik

  • Сообщений: 1438
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #8 : 18 Октябрь 2011, 13:01:17 »
Ставил по этому руководству.
А точнее сделал:
# aptitude install nvidia-glx nvidia-kernel-`uname -r` nvidia-kernel-dkms nvidia-settings nvidia-xconfig# nvidia-xconfig# shutdown now -rИ больше ничего.
Это что за сборная солянка? Какие 275.28 и 192.36.31? Как такое могло получится? У вас смесь из stable и testing? Если у вас простой stable то этой командой установится драйвер версии 192.36.31. Если testing или sid - какой-то другой. У вас конфликт версий драйвера и модуля ядра - nvidia-glx версии 275.28, а nvidia-kernel-module - 193.36.31. Конечно драйвер в такой конфигурации не взлетит.
 

Оффлайн samir.gasymov

  • Сообщений: 10
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #9 : 18 Октябрь 2011, 20:12:43 »
Благодарю, orlyanuch. Очень даже в тему!  :)

Razzeeyy, вы говорите о ядре Linux? Ато тут столько ядер…  :D

UdachnikВ, у начинающих и не такое получается.
У меня смесь squeeze (stable) с sid (unstable).
Spoiler: sources.list • показать

# deb cdrom:[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official i386 NETINST Binary-1 20110628-13:01]/ squeeze main

# deb cdrom:[Debian GNU/Linux 6.0.2.1 _Squeeze_ - Official i386 NETINST Binary-1 20110628-13:01]/ squeeze main

# Звичайні репозиторії
deb http://ftp.ua.debian.org/debian/ squeeze main non-free contrib
# deb-src http://ftp.ua.debian.org/debian/ squeeze main non-free contrib

# squeeze-updates, previously known as 'volatile'
deb http://ftp.ua.debian.org/debian/ squeeze-updates main contrib non-free
# deb-src http://ftp.ua.debian.org/debian/ squeeze-updates main contrib non-free

deb http://ftp.ua.debian.org/debian/ squeeze-proposed-updates non-free contrib main

# Поновлення безпеки
deb http://security.debian.org/ squeeze/updates main contrib non-free
# deb-src http://security.debian.org/ squeeze/updates main contrib non-free

# Інші небезпечні репозиторії

deb ftp://ftp.ua.debian.org/debian/ sid main contrib non-free
# deb ftp://ftp.ua.debian.org/debian/ testing main contrib non-free
# deb http://ftp.ua.debian.org/debian/ experimental main contrib non-free


То есть, существують компоненты -  драйвер [виддеокарты] (определёной версии), ядро [этого] драйвера (определёной версии), и модуль [этого] драйвера (определёной версии). И они (модуль ядра и драйвер виддеокарты (а само ядро?)) не совпадают по версиям?

И всё это должно базироватся на ядре Linux (с его модулями) определенной версии? Так?

Если да, тогда что лучше выбрать? На каих версиях (ядер и модулей) построить систему?

Сообщение объединено: 18 Октябрь 2011, 20:14:23
Извините что пишу сложно.

P.S. Я не представляю как люди компилят Gent,ы…
« Последнее редактирование: 18 Октябрь 2011, 20:14:23 от samir.gasymov »
ubuntu 12.04 @ samsung n100 | win 7 pro ukr @ desktop (ASUS P5L-VM 1394, Intel Pentium D 3.00GHz, 2GB DDR2, SATA WD500GB, ASUS nVidia GeForce 210 Silent 1GB DDR3)
 

Оффлайн Udachnik

  • Сообщений: 1438
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #10 : 18 Октябрь 2011, 20:48:16 »
А, ну тогда понятно. В общем, проблему можно решить установив новое ядро и все компоненты nvidia из sid. Для этого ставишь новое ядро из sid командой aptitude install linux-image-686-pae (и у тебя всегда будет самое новое ядро), перезагружаешься уже в систему с ядром 3.0. Выполняешь вот эту часть
# aptitude install nvidia-glx nvidia-kernel-`uname -r` nvidia-kernel-dkms nvidia-settings nvidia-xconfig# nvidia-xconfig# shutdown now -rИ всё должно заработать.
Другой вариант воспользоваться sgfxi или скачать драйвер с сайта nvidia и установить его вручную.
 

Оффлайн samir.gasymov

  • Сообщений: 10
Re: Debian. Не грузятся иксы, гном, графика
« Ответ #11 : 18 Октябрь 2011, 20:50:33 »
Спасибо, Udachnik. Сейчас обьязательно попробую.

Сообщение объединено: 18 Октябрь 2011, 21:45:38
Блин!
Значит, поставил linux-image-686-pae. Загузился с него в recovery mode.

Код: (Делаю:) [Выделить]
# aptitude install nvidia-glx nvidia-kernel-`uname -r` nvidia-kernel-dkms nvidia-settings nvidia-xconfig
Код: (Ругается:) [Выделить]
Couldn't find any package whose name or description matched "nvidia-kernel-3.0.0-2-686-pae"
Код: (Делаю:) [Выделить]
# nvidia-xconfig
Код: (Делаю:) [Выделить]
# shutdown now -r
Загузился с 3-его в нормальном режиме.

Код: (Делаю:) [Выделить]
startx
Spoiler: Ругается: • показать

[   260.666]
X.Org X Server 1.11.1.901 (1.11.2 RC 1)
Release Date: 2011-10-14
[   260.666] X Protocol Version 11, Revision 0
[   260.666] Build Operating System: Linux 2.6.32-5-686-bigmem i686 Debian
[   260.666] Current Operating System: Linux samir-debian 3.0.0-2-686-pae #1 SMP Fri Oct 7 21:55:20 UTC 2011 i686
[   260.667] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.0.0-2-686-pae root=UUID=7780712d-0bac-421e-b726-2d1af68d0a89 ro quiet
[   260.667] Build Date: 15 October 2011  06:04:48PM
[   260.667] xorg-server 2:1.11.1.901-1 (Julien Cristau <jcristau@debian.org>)
[   260.667] Current version of pixman: 0.22.2
[   260.667]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[   260.667] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   260.667] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 18 23:15:52 2011
[   260.667] (==) Using config file: "/etc/X11/xorg.conf"
[   260.667] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   260.667] (==) ServerLayout "Layout0"
[   260.667] (**) |-->Screen "Screen0" (0)
[   260.667] (**) |   |-->Monitor "Monitor0"
[   260.668] (**) |   |-->Device "Device0"
[   260.668] (**) |-->Input Device "Keyboard0"
[   260.668] (**) |-->Input Device "Mouse0"
[   260.668] (==) Automatically adding devices
[   260.668] (==) Automatically enabling devices
[   260.668] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[   260.668]    Entry deleted from font path.
[   260.668] (WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
[   260.668]    Entry deleted from font path.
[   260.668]    (Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
[   260.668] (==) FontPath set to:
   /usr/share/fonts/X11/misc,
   /usr/share/fonts/X11/100dpi/:unscaled,
   /usr/share/fonts/X11/75dpi/:unscaled,
   /usr/share/fonts/X11/Type1,
   /usr/share/fonts/X11/100dpi,
   /usr/share/fonts/X11/75dpi,
   built-ins
[   260.668] (==) ModulePath set to "/usr/lib/xorg/modules"
[   260.668] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[   260.668] (WW) Disabling Keyboard0
[   260.668] (WW) Disabling Mouse0
[   260.668] (II) Loader magic: 0xb78a7580
[   260.668] (II) Module ABI versions:
[   260.668]    X.Org ANSI C Emulation: 0.4
[   260.668]    X.Org Video Driver: 11.0
[   260.668]    X.Org XInput driver : 13.0
[   260.668]    X.Org Server Extension : 6.0
[   260.669] (--) PCI:*(0:4:0:0) 10de:0a65:1043:8354 rev 162, Mem @ 0xcc000000/16777216, 0xd0000000/268435456, 0xce000000/33554432, I/O @ 0x0000e800/128, BIOS @ 0x????????/524288
[   260.674] (II) Open ACPI successful (/var/run/acpid.socket)
[   260.674] (II) LoadModule: "extmod"
[   260.674] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[   260.674] (II) Module extmod: vendor="X.Org Foundation"
[   260.674]    compiled for 1.11.1.901, module version = 1.0.0
[   260.675]    Module class: X.Org Server Extension
[   260.675]    ABI class: X.Org Server Extension, version 6.0
[   260.675] (II) Loading extension SELinux
[   260.675] (II) Loading extension MIT-SCREEN-SAVER
[   260.675] (II) Loading extension XFree86-VidModeExtension
[   260.675] (II) Loading extension XFree86-DGA
[   260.675] (II) Loading extension DPMS
[   260.675] (II) Loading extension XVideo
[   260.675] (II) Loading extension XVideo-MotionCompensation
[   260.675] (II) Loading extension X-Resource
[   260.675] (II) LoadModule: "dbe"
[   260.675] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[   260.675] (II) Module dbe: vendor="X.Org Foundation"
[   260.675]    compiled for 1.11.1.901, module version = 1.0.0
[   260.675]    Module class: X.Org Server Extension
[   260.675]    ABI class: X.Org Server Extension, version 6.0
[   260.675] (II) Loading extension DOUBLE-BUFFER
[   260.675] (II) LoadModule: "glx"
[   260.675] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[   260.710] (II) Module glx: vendor="NVIDIA Corporation"
[   260.710]    compiled for 4.0.2, module version = 1.0.0
[   260.710]    Module class: X.Org Server Extension
[   260.710] (II) NVIDIA GLX Module  275.28  Wed Aug 31 18:45:27 PDT 2011
[   260.710] (II) Loading extension GLX
[   260.710] (II) LoadModule: "record"
[   260.710] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[   260.710] (II) Module record: vendor="X.Org Foundation"
[   260.710]    compiled for 1.11.1.901, module version = 1.13.0
[   260.710]    Module class: X.Org Server Extension
[   260.710]    ABI class: X.Org Server Extension, version 6.0
[   260.710] (II) Loading extension RECORD
[   260.710] (II) LoadModule: "dri"
[   260.710] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[   260.710] (II) Module dri: vendor="X.Org Foundation"
[   260.710]    compiled for 1.11.1.901, module version = 1.0.0
[   260.710]    ABI class: X.Org Server Extension, version 6.0
[   260.711] (II) Loading extension XFree86-DRI
[   260.711] (II) LoadModule: "dri2"
[   260.711] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   260.711] (II) Module dri2: vendor="X.Org Foundation"
[   260.711]    compiled for 1.11.1.901, module version = 1.2.0
[   260.711]    ABI class: X.Org Server Extension, version 6.0
[   260.711] (II) Loading extension DRI2
[   260.711] (II) LoadModule: "nvidia"
[   260.711] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[   260.712] (II) Module nvidia: vendor="NVIDIA Corporation"
[   260.712]    compiled for 4.0.2, module version = 1.0.0
[   260.712]    Module class: X.Org Video Driver
[   260.716] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[   260.716] (EE) NVIDIA:     system's kernel log for additional error messages.
[   260.716] (II) UnloadModule: "nvidia"
[   260.716] (II) Unloading nvidia
[   260.717] (EE) Failed to load module "nvidia" (module-specific error, 0)
[   260.717] (EE) No drivers available.
[   260.717]
Fatal server error:
[   260.717] no screens found
[   260.717]
Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
[   260.717] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   260.717]





Сообщение объединено: 18 Октябрь 2011, 21:49:30
Просто, я смотрю, там в sid`е только nvidia-kernel-2.6-XX (типа nvidia-kernel-3.00 нету).
Зато есть nvidia-kernel-2.6-686. Оно? Ставить?

Сообщение объединено: 18 Октябрь 2011, 21:58:43
Есть ещё:

nvidia-kernel-2.6-686
sid (unstable) (kernel): NVIDIA kernel module for Linux 2.6 (686 flavor) [non-free]
195.36.31+2: i386


Какой ставить?

Сообщение объединено: 18 Октябрь 2011, 22:21:20
Что имеется в виду в этой статье?
With build-essential and dkms installed you can install your chosen version of the nVidia driver, dkms will drag in all the required files to match the Kernel, kernel headers, gcc etc. without you ever having to worry about kernel headers etc. ever again, dkms comes into effect when installing other applications such as VirtualBox. Some distro's have dkms in their repo's but it isn't used even if installed, so kudos to Debian for enabling it's features once installed.
Linux Kernel 3.0.x uses gcc-4.5 when compiling nVidia kernel modules when installing nVidia drivers "the hard way"
« Последнее редактирование: 18 Октябрь 2011, 22:21:20 от samir.gasymov »
ubuntu 12.04 @ samsung n100 | win 7 pro ukr @ desktop (ASUS P5L-VM 1394, Intel Pentium D 3.00GHz, 2GB DDR2, SATA WD500GB, ASUS nVidia GeForce 210 Silent 1GB DDR3)
 

Теги: